=== debian/changelog ===
ocamlnet (4.1.8-2) unstable; urgency=medium

  * Call ./configure with OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE unset

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 17:32:59 +0200

ocamlnet (4.1.8-1) unstable; urgency=medium

  * New upstream release
  * Do not rely on PATH_MAX (Closes: #844038)
  * libocamlnet-ocaml-doc: add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 13:12:23 +0200

ocamlnet (4.1.6-2) unstable; urgency=medium

  * Add empty dh_dwz override (Closes: #965300)
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jul 2020 13:14:43 +0200
