=== debian/changelog ===
ocamlnet (4.1.9-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:49:24 +0100

ocamlnet (4.1.9-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2022 04:51:33 +0100

ocamlnet (4.1.8-3) unstable; urgency=medium

  * Add OCaml stdlib dir to C_INCLUDE_PATH
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4
  * Fix Lintian override about mod_netcgi_apache.so

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Dec 2021 08:59:42 +0100
