=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml (>= 0.9),
+ dh-ocaml,
  dh-apache2,
- ocaml-nox (>= 4),
+ ocaml,
  camlp4,
  ocaml-findlib (>= 1.4),
  libfindlib-ocaml-dev,
@@ -17,7 +17,7 @@
  libzip-ocaml-dev,
  libgnutls28-dev,
  apache2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://projects.camlcity.org/projects/ocamlnet.html
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlnet.git
