=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 PKGNAME = libocamlnet-ocaml-dev
 DESTDIR = $(CURDIR)/debian/tmp
 export OCAMLFIND_DESTDIR = $(DESTDIR)$(OCAML_STDLIB_DIR)
+
+export C_INCLUDE_PATH := $(OCAML_STDLIB_DIR)
 
 BUILD_TARGET = all
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
