=== debian/watch ===
version=4
opts=uversionmangle=s/&#48\x3b/0/ \
http://download.camlcity.org/download/ocamlnet-(.*)\.tar\.gz
